# Variables
CC = @CC@
CFLAGS = $(AM_CFLAGS) -Wall -fPIC
LIBS = -lm -lmpi -lp4est

# Targets:q
all: src/build/libp4est_dyn.so

src/build/libp4est_dyn.so: src/build/p4est_dynres.o src/build/p4est_dynres_internal.o src/build/p4est_dynres_communication.o
	$(CC) -shared -o $@ $^ $(LIBS) $(AM_LDFLAGS)

src/build/p4est_dynres.o: src/p4est_dynres.c src/p4est_dynres.h src/p4est_dynres_internal.h
	$(CC) -c $(CFLAGS) $(AM_CFLAGS) $< -o $@

src/build/p4est_dynres_internal.o: src/p4est_dynres_internal.c src/p4est_dynres_internal.h
	$(CC) -c $(CFLAGS) $(AM_CFLAGS) $< -o $@

src/build/p4est_dynres_communication.o: src/p4est_dynres_communication.c src/p4est_dynres_communication.h
	$(CC) -c $(CFLAGS) $(AM_CFLAGS) $< -o $@

install:
	install -d $(DESTDIR)$(prefix)/lib
	install -m 755 src/build/libp4est_dyn.so $(DESTDIR)$(prefix)/lib
	install -d $(DESTDIR)$(prefix)/include
	install -m 644 src/p4est_dynres.h $(DESTDIR)$(prefix)/include
	install -m 644 src/p4est_dynres_common.h $(DESTDIR)$(prefix)/include

clean:
	rm -f src/build/*.o src/build/libp4est_dyn.so

README: README.md